#!/usr/bin/env python
# encoding: utf-8
"""
@time: 2021/6/3 13:32
@desc: 查点表的信息
"""


from abstract_api import AbstractApi
from event_storage import EventStorage

class ReadPointInfo(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()
        basic_datas = request['basic_datas']
        if len(basic_datas) > 1:
            point_list = []
            for basic_data in basic_datas:
                point_list.append(basic_data.replace('c', ''))
            sql = "SELECT * FROM data_point_tbl where serial_number in %s;" % (format(tuple(point_list)))
        elif len(basic_datas) == 1:
            point = basic_datas[0].replace('c', '')
            sql = "SELECT * FROM data_point_tbl where serial_number=%s;" % (point)
        else:
            sql = "SELECT * FROM data_point_tbl;"

        res = operate_mysql.execute_sql(sql)

        return res