#!/usr/bin/env python
# encoding: utf-8
"""
@time: 2021/6/2 15:17
@desc: 重置设备运行时间
"""

from abstract_api import AbstractApi
from event_storage import EventStorage


class ResetDeviceRunTime(AbstractApi):

    def operation(self, request):
        """设备运行时间改为0"""
        operate_mysql = EventStorage()
        device_name = request['deviceName']

        reset_sql = "UPDATE maintenance_information SET run_time=0 WHERE device_name=\'%s\';" % (device_name)
        try:
            operate_mysql.execute_sql(reset_sql)
            return "reset success"
        except:
            return "reset failed"