#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2022/04/28 13:31
@Author: lxc
@LastEditTime: 
@Desctiption: 取消开关量综合报警的弹框提示报警信息
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class CancelMoxaE1210Alarm(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        io_point_name_dict = {}     # {'主配电板绝缘低': 'c365', '污水处理装置供电运行': 'c366', '污水处理装置综合报警': 'c367', ...}
        select_io_point_name = "SELECT serial_number, io_point_name FROM `data_point_tbl` WHERE `station_name` = 'moxa_e1210' AND `io_point_name` IS NOT NULL;"
        io_point_name_res = operate_mysql.execute_sql(select_io_point_name)
        for each in io_point_name_res:
            io_point_name_dict[each["io_point_name"]] = "c" + str(each["serial_number"])

        for each_alarm in request:
            times = each_alarm["alarm_time"]
            serial_number = io_point_name_dict[each_alarm["io_point_name"]]
            update_sql = f"UPDATE alarm_moxa_e1210 SET is_cancel=1 WHERE create_time=\'{times}\' AND serial_number=\'{serial_number}\';"
            res = operate_mysql.execute_update_sql(update_sql)

        return res

