#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2021/6/15 16:21
@LastEditTime:
@Description: 修改 有关料灌、饵料的基本参数
"""
import json

from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog

class ChangeTouerInfo(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = EventStorage()

        id = request['id']

        change_sql = "UPDATE touer_set SET"
        for each in request:
            data = request[each]
            # 判断是否需要修改
            if (data is not None) and (each != 'id'):
                list_data = []
                if type(data) is dict:
                    for k in data:
                        list_data.append(k)
                        list_data.append(data[k])
                    change_sql = "%s %s=json_object%s," % (change_sql, each, format(tuple(list_data)))
                else:
                    change_sql = "%s %s=\'%s\'," % (change_sql, each, data)
        change_sql = "%s WHERE id=%s;" % (change_sql.rstrip(','), id)
        try:
            res = operate_mysql.execute_sql(change_sql)
            if res is not None:
                return "change success"
            else:
                return "change failed"
        except Exception as e:
            self._log.error(str(e))
            return "change failed"
