#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime:    2021/6/4 13:53
@LastEditTime:
@Description:
"""

from abstract_api import AbstractApi
import json
import requests
from log import OutPutLog
from apis.operate_mysql import OperateMysql
import traceback


class FlowDirectionRadarChart(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        data_dict = {}
        operate_mysql = OperateMysql()
        table_name = "table_" + request['deviceName']
        limit = request['limit']
        speed = request['speed']
        direction = request['direction']
        sql = "SELECT * FROM %s order by times desc limit %s" % (table_name, limit)
        res = operate_mysql.execute_sql(sql)

        if len(res) != 0:
            for index in res:
                for s in speed:
                    data_dict.setdefault('direction_list', []).append(index[s])
                for d in direction:
                    data_dict.setdefault('speed_list', []).append(index[d])

            return data_dict
        else:
            return None

