#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2021/11/30 9:15
@Author: lxc
@LastEditTime: 
@Desctiption:水下聚鱼灯远程控制功能：获取控制模式
"""

import json
from abstract_api import AbstractApi
from event_storage import EventStorage
from log import OutPutLog


class GatherFishLightGetMode(AbstractApi):
    """获取聚鱼灯的控制模式及相关信息"""

    def __init__(self):
        self._log = OutPutLog()

    def operation(self, request):
        operate_mysql = EventStorage()

        sql = "SELECT location,control_mode,status,definite_time FROM gather_fish_light_control;"
        datas = operate_mysql.execute_sql(sql)

        if datas is not None and len(datas) > 1:
            return datas
        else:
            return False




















