#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2021/6/21 17:13
@LastEditTime: 
@Description: 智慧投饵：查询每次投喂的详细信息，根据投喂id查询
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class GetFisheryDataDetail(AbstractApi):

    def operation(self, request):

        operate_mysql = EventStorage()
        feed_id = request['feed_id']

        sql = "SELECT times,wind_speed,wind_direction,flow_speed,flow_direction,feeder_frequency,fan_frequency,feeding_amount FROM fishery_data WHERE feed_id=%s;" % (feed_id)

        datas = operate_mysql.execute_sql(sql)
        if datas is not None:
            return datas
        else:
            return "find error"
