#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2021/6/15 15:21
@LastEditTime:
@Description: 获取有关料灌、饵料的基本参数
"""

from abstract_api import AbstractApi
from event_storage import EventStorage

class GetTouerInfo(AbstractApi):

    def operation(self, request):
        operate_mysql = EventStorage()

        sql_get_touer_info = "SELECT * FROM touer_set;"
        get_touer_info = operate_mysql.execute_sql(sql_get_touer_info)

        if len(get_touer_info) != 0:
            list_data = []
            for each in get_touer_info:
                dict_each = {}
                for k in each:
                    # select 会将查到的json格式的值转为str，这里将其转为dict格式，以便返回json格式的字符串
                    if "tank" in k and each[k] is not None:
                        dict_each[k] = eval(each[k])
                    else:
                        dict_each[k] = each[k]
                list_data.append(dict_each)
            return list_data
        else:
            return None