#!/usr/bin/env python
# encoding: utf-8
"""
@CreateTime: 2023/06/12 16:20
@Author: lxc
@LastEditTime: 
@Desctiption:返回机器人的实时数据
"""


from abstract_api import AbstractApi
from log import OutPutLog
from apis.operate_mysql import OperateMysql


class RobotRealData(AbstractApi):

    def operation(self, request):
        self._log = OutPutLog()
        operate_mysql = OperateMysql(db="robotDataBase")
        rovid = request['rovid']

        sql = f"SELECT storagetime,createtime,rovid,position_x,position_y,position_z,roll,pitch,yaw,voltage,depth " \
              f"FROM `rov1position` " \
              f"WHERE `rovid`='{rovid}' " \
              f"ORDER BY `createtime` DESC LIMIT 1;"

        res = operate_mysql.execute_sql(sql)

        return res